<template>
	<view class="lightbg">
		<!-- 	<view class="topbar" :style="{top:topStatusBar + 'px'}">
			<img src="https://ikea-mrm.woaap.com/images/mask/bar.png" alt="">
			<view class="goback" @click="goback">
				
			</view>
		</view> -->
		<view class="contentbox">
			<img class="imgbg" src="https://ikea-mrm.woaap.com/images/mask/light/lightbg.png" alt="" />
			<img @click="goRank" class="rankList" src="https://ikea-mrm.woaap.com/images/mask/light/rankList.png" alt="" />
			<img @click="goUserinfo" class="medal" src="https://ikea-mrm.woaap.com/images/mask/light/medalbtn.png" alt="" />
			<img class="lighttext" src="https://ikea-mrm.woaap.com/images/mask/light/lighttext.png" alt="" />
			<view class="progressBox">
				<img class="bear" src="https://ikea-mrm.woaap.com/images/mask/light/bear.png" alt="" />
				<view class="t1">爱心传递</view>
				<view class="t2">{{ progress }}</view>
				<view class="t3">/10000</view>
				<view class="progress"><view class="bar" :style="{ width: percent + '%' }"></view></view>
			</view>
			<view class="btngroup">
				<button class="btn share" open-type="share" @click="share"></button>
				<button class="btn  more" @click="golist"></button>
			</view>
			<!-- <img class="share" src="https://ikea-mrm.woaap.com/images/mask/light/share.png" alt=""> -->
		</view>
		<view class="popup" v-if="isshowpop">
			<view class="popmain">
				<img @click="isshowpop = false" class="close" src="https://ikea-mrm.woaap.com/images/mask/close.png" />
				<view class="name">{{ userInfo.nickName }}</view>
				<img class="popicon" src="https://ikea-mrm.woaap.com/images/mask/popicon2.png" />
				<img @click="okay" class="btn" src="https://ikea-mrm.woaap.com/images/mask/diy/accept.png" />
			</view>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			progress: 0,
			percent: 0,
			isshowpop: true,
			userInfo: getApp().globalData.userInfo,
			uid: getApp().globalData.uid,
			topStatusBar: getApp().globalData.topStatusBar
		};
	},
	onShow() {
		getApp().td_app_sdk.event({
			id: 'light',
			label: 'pv',
			params: {}
		});
	},
	onShareAppMessage: function(res) {
		return {
			title: '微笑传递爱心 和宜家玩在一起',
			path: 'pages/index/index',
			imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_mask.jpg'
		};
	},
	onLoad(option) {
		this.progress = option.nownum;
		this.percent = (this.progress / 10000) * 100;
		console.log(this.topStatusBar);
	},
	methods: {
		golist() {
			getApp().td_app_sdk.event({
				id: '参与更多',
				label: 'click'
			});
			wx.reLaunch({
				url: '/pages/list/list'
			});
		},
		share() {
			getApp().td_app_sdk.event({
				id: '爱心接力',
				label: 'click'
			});
		},
		okay() {
			this.isshowpop = false;
			getApp().td_app_sdk.event({
				id: '开心收下',
				label: 'click'
			});
		},
		goRank() {
			getApp().td_app_sdk.event({
				id: '全国玩家排行榜',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/mask/rank'
			});
		},
		goUserinfo() {
			getApp().td_app_sdk.event({
				id: '我的勋章',
				label: 'click'
			});
			wx.request({
				url: getApp().globalData.baseUrl + 'api/access.php?a=userinfo',
				method: 'POST',
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				data: {
					uid: getApp().globalData.uid
				},
				success: res => {
					console.log(res.data.data);
					wx.setStorageSync('gameInfo', res.data.data);
					uni.navigateTo({
						url: '/pages/userinfo/userinfo2'
					});
				}
			});
		},
		goback() {
			wx.navigateBack();
		}
	}
};
</script>

<style lang="less">
.lightbg {
	width: 100vw;
	height: 100vh;
	overflow: hidden;
	.topbar {
		width: 736rpx;
		height: 99rpx;
		position: absolute;
		left: 0;
		z-index: 9;
		img {
			width: 100%;
			height: 100%;
		}
		.goback {
			width: 60rpx;
			height: 100%;
			position: absolute;
			top: 0;
			left: 15rpx;
		}
	}
	.popup {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background: rgba(0, 0, 0, 0.65);
		display: flex;
		justify-content: center;
		align-items: center;
		z-index: 999;
		.popmain {
			width: 580rpx;
			height: 770rpx;
			background: #ffffff;
			border-radius: 30rpx;
			display: flex;
			flex-direction: column;
			align-items: center;
			position: relative;
			.name {
				position: absolute;
				left: 165rpx;
				top: 315rpx;
				font-size: 28rpx;
				font-family: '黑体';
				font-weight: bold;
				color: #333333;
			}
			.close {
				position: absolute;
				top: 40rpx;
				right: 56rpx;
				width: 30rpx;
				height: 30rpx;
			}
			.popicon {
				width: 442rpx;
				height: 423rpx;
				margin-top: 86rpx;
			}
			.btn {
				width: 346rpx;
				height: 144rpx;
				margin-top: 90rpx;
			}
		}
	}
	.contentbox {
		width: 750rpx;
		height: 1624rpx;
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		display: flex;
		flex-direction: column;
		align-items: center;
		.imgbg {
			width: 750rpx;
			height: 1624rpx;
			position: absolute;
			top: 0;
			left: 0;
		}
		.rankList {
			position: absolute;
			width: 176rpx;
			height: 55rpx;
			top: 440rpx;
			right: 0;
		}
		.medal {
			position: absolute;
			width: 219rpx;
			height: 61rpx;
			top: 675rpx;
			left: 50%;
			transform: translate(-50%, 0);
		}
		.lighttext {
			position: absolute;
			width: 665rpx;
			height: 367rpx;
			top: 770rpx;
			left: 50%;
			transform: translate(-50%, 0);
		}
		.progressBox {
			width: 600rpx;
			height: 85rpx;
			position: absolute;
			top: 1130rpx;
			left: 50%;
			transform: translate(-50%, 0);
			display: flex;
			align-items: flex-end;
			justify-content: space-between;
			.t1,
			.t2,
			.t3 {
				position: absolute;
				bottom: 40rpx;
				font-family: '黑体';
				font-weight: bold;
				line-height: 22rpx;
				color: #333333;
			}
			.t1 {
				left: 88rpx;
				font-size: 24rpx;
			}
			.t2 {
				right: 78rpx;
				font-size: 24rpx;
			}
			.t3 {
				right: 10rpx;
				font-size: 20rpx;
			}
			.bear {
				width: 62rpx;
				height: 79rpx;
			}
			.progress {
				width: 520rpx;
				height: 26rpx;
				background: #eeeeee;
				border-radius: 30rpx;
				position: relative;
				overflow: hidden;
				.bar {
					position: absolute;
					top: 0;
					left: 0;
					height: 100%;
					// width: 20%;
					background: #fed931;
					border-radius: 30rpx;
				}
			}
		}
		.btngroup {
			width: 100%;
			position: fixed;
			bottom: 210upx;
			height: 105upx;
			margin-top: 57upx;
			padding: 0 46upx;
			box-sizing: border-box;
			display: flex;
			flex-direction: row;
			justify-content: space-between;
			.btn {
				width: 304rpx;
				height: 100rpx;
				background: none;
			}
			.share {
				background-image: url(https://ikea-mrm.woaap.com/images/mask/light/share.png);
				background-size: 100% 100%;
			}
			.more {
				background-image: url(https://ikea-mrm.woaap.com/images/mask/light/more.png);
				background-size: 100% 100%;
			}
			.btn::after {
				border: none !important;
			}
		}
	}
}
</style>
